<?php
$wp_customize->add_panel(
	'luzuk_general_panel',
	array(
		'priority' => 19,
		'title' => __('General Configuration', 'luzuk Premium')
	)
);

//STATIC FRONT PAGE
$wp_customize->add_section( 'static_front_page', array(
	'title' => __( 'Static Front Page', 'luzuk Premium' ),
	'panel' => 'luzuk_general_panel',
	'description' => __( 'Your theme supports a static front page.', 'luzuk Premium'),
) );

//TITLE AND TAGLINE SETTINGS
$wp_customize->add_section( 'title_tagline', array(
	'title' => __( 'Site Logo/Title/Tagline', 'luzuk Premium' ),
	'panel' => 'luzuk_general_panel',
) );

// $wp_customize->add_setting(
//     'pages_logoTopsetmaxwidth',
//     array(
//         'sanitize_callback' => 'luzuk_sanitize_text',
//         'default'           => __( '100', 'luzuk-premium' )
//     )
// );

// $wp_customize->add_control(
//     'pages_logoTopsetmaxwidth',
//     array(
//         'settings'      => 'pages_logoTopsetmaxwidth',
//         'section'       => 'title_tagline',
//         'type'          => 'text',
//         'label'         => __( 'Set Logo Max Width', 'luzuk-premium' )
//     )
// );


addColorPalatOption($wp_customize, 'header_SiteTitleClr', 'title_tagline', 'Title Color', '#fff');
addColorPalatOption($wp_customize, 'header_SiteTaglineClr', 'title_tagline', 'Tagline Color', '#fff');

$wp_customize->add_setting( 'head_title_display' , array( 'default' => true, 'transport' => 'refresh', ) ); 
$wp_customize->add_control( 'head_title_display', array( 'label' => 'Title Display', 'section' => 'title_tagline', 'settings' => 'head_title_display', 'type' => 'radio', 'choices' => array( 'show' => 'Show ', 'hide' => 'Hide ', ), ) ); 


$wp_customize->add_setting( 'head_tagline_display' , array( 'default' => true, 'transport' => 'refresh', ) ); 
$wp_customize->add_control( 'head_tagline_display', array( 'label' => 'Tagline Display', 'section' => 'title_tagline', 'settings' => 'head_tagline_display', 'type' => 'radio', 'choices' => array( 'show' => 'Show ', 'hide' => 'Hide ', ), ) ); 


//BACKGROUND IMAGE
$wp_customize->add_section( 'background_image', array(
	'title' => __( 'Background Image Setting', 'luzuk Premium' ),
	'panel' => 'luzuk_general_panel',
) );

//Header IMAGE
$wp_customize->add_section( 'header_image', array(
	'title' => __( 'Header Image', 'luzuk Premium' ),
	'panel' => 'luzuk_general_panel',
) );


//HEADER SETTINGS
$wp_customize->add_section(
	'header_settings',
	array(
		'title' => __( 'Header Settings', 'luzuk Premium' ),
		'panel' => 'luzuk_general_panel',
	)
);

lzCustomLable($wp_customize, 'stickyheader_view', 'header_settings', 'Sticky Header Settings:');
    //ENABLE/DISABLE STICKY HEADER
$wp_customize->add_setting(
    'luzuk_sticky_header_enable',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default' => 'off'
    )
);

$wp_customize->add_control(
    new luzuk_Switch_Control(
        $wp_customize,
        'luzuk_sticky_header_enable',
        array(
            'settings'      => 'luzuk_sticky_header_enable',
            'section'       => 'header_settings',
            'label'         => __( 'Sticky Header', 'luzuk Premium' ),
            'on_off_label'  => array(
                'on' => __( 'Enable', 'luzuk-premium' ),
                'off' => __( 'Disable', 'luzuk-premium' )
            )   
        )
    )
);


$sectionHeader = 'header_settings';

addColorPalatOption($wp_customize, 'header_stickybgColor', 'header_settings', 'Sticky Header BG Color', '#000000');


lzCustomLable($wp_customize, 'pages_logosetmaxwidth5', 'title_tagline', 'Set Logo Width & Height :');


$wp_customize->add_setting(
    'pages_logoTopsetmaxwidth',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '100', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'pages_logoTopsetmaxwidth',
    array(
        'settings'      => 'pages_logoTopsetmaxwidth',
        'section'       => 'title_tagline',
        'type'          => 'text',
        'label'         => __( 'Logo Width:', 'luzuk-premium' )
    )
);

// logo height

$wp_customize->add_setting(
    'pages_logoTopsetmaxheight',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'pages_logoTopsetmaxheight',
    array(
        'settings'      => 'pages_logoTopsetmaxheight',
        'section'       => 'title_tagline',
        'type'          => 'text',
        'label'         => __( 'Logo Height:', 'luzuk-premium' )
    )
);

lzCustomLable($wp_customize, 'luzuk_headerlogo_margin', 'header_settings', 'Logo Margin:');

$wp_customize->add_setting(
    'logo_logoTmargin',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '0px', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'logo_logoTmargin',
    array(
        'settings'      => 'logo_logoTmargin',
        'section'       => 'header_settings',
        'type'          => 'text',
        'label'         => __( 'Top', 'luzuk-premium' )
    )
);

$wp_customize->add_setting(
    'logo_logoRmargin',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '0px', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'logo_logoRmargin',
    array(
        'settings'      => 'logo_logoRmargin',
        'section'       => 'header_settings',
        'type'          => 'text',
        'label'         => __( 'Right', 'luzuk-premium' )
    )
);

$wp_customize->add_setting(
    'logo_logoBmargin',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '0px', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'logo_logoBmargin',
    array(
        'settings'      => 'logo_logoBmargin',
        'section'       => 'header_settings',
        'type'          => 'text',
        'label'         => __( 'Bottom', 'luzuk-premium' )
    )
);

$wp_customize->add_setting(
    'logo_logoLmargin',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '0px', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'logo_logoLmargin',
    array(
        'settings'      => 'logo_logoLmargin',
        'section'       => 'header_settings',
        'type'          => 'text',
        'label'         => __( 'Left', 'luzuk-premium' )
    )
);

lzCustomLable($wp_customize, 'header_MenuColorssettings', $sectionHeader, 'Navigation Colors:');

addColorPalatOption($wp_customize, 'header_innpagetopmenusClr', 'header_settings', 'Inner Page Menus Color', '#fff');
addColorPalatOption($wp_customize, 'header_topmenusColor', 'header_settings', 'Menus Color', '#fff');
addColorPalatOption($wp_customize, 'header_topmenushoverColor', 'header_settings', 'Menus Hover Color', '#fe03ee');
addColorPalatOption($wp_customize, 'header_topmenusactiveColor', 'header_settings', 'Active Menu Color', '#fe03ee');

addColorPalatOption($wp_customize, 'header_topmenushvbgClr', 'header_settings', 'Menus Hover Menu Animation Color 1', '#fe03ee');
addColorPalatOption($wp_customize, 'header_topmenusanimClr', 'header_settings', 'Menus Hover Menu Animation Color 2', '#26c3f8');

addColorPalatOption($wp_customize, 'header_topsubmenusColor', 'header_settings', 'Header Sub Menus Color', '#fff');
addColorPalatOption($wp_customize, 'header_topsubmenushvrColor', 'header_settings', 'Sub Menus Hover & Sub Menus Active Color', '#fff');
addColorPalatOption($wp_customize, 'header_topsubmenusbrdclr', 'header_settings', 'Header Sub Menus Icon Color', '#ffffff');
addColorPalatOption($wp_customize, 'header_submenusbgsscColor', 'header_settings', 'Dropdown Box BG Color', '#000000');
addColorPalatOption($wp_customize, 'header_topsubmenushvbgColor1', 'header_settings', 'Dropdown Box Shadow Color', '#fe03ee');


lzCustomLable($wp_customize, 'headerbtn', 'header_settings' , 'Header Button Display & Its Colors:');
// to show & hide another button
$wp_customize->add_setting( 'headertop_button_display' , array( 'default' => true, 'transport' => 'refresh', ) ); $wp_customize->add_control( 'headertop_button_display', array( 'label' => 'Header Button Display', 'section' => 'header_settings', 'settings' => 'headertop_button_display', 'type' => 'radio', 'choices' => array( 'show' => 'Show', 'hide' => 'Hide', ), ) ); 
// end to show & hide button


$wp_customize->add_setting(
    'about_button',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( 'Book Ticket' )
    )
);
$wp_customize->add_control(
    'about_button',
    array(
        'settings'      => 'about_button',
        'section'       => 'header_settings',
        'type'          => 'text',
        'label'         => __( 'Add Button Text Here:', 'luzuk-premium' )
    )
);
$wp_customize->add_setting('aboutlink',   array('default'=> 'add link here', 'sanitize_callback' => 'esc_url_raw'));
$wp_customize->add_control('aboutlink',
    array(
        'settings'      => 'aboutlink',
        'section'       => 'header_settings',
        'type'          => 'url',
        'label'         => __( 'Add Button Link Here:', 'luzuk-premium' )
    )
);
addColorPalatOption($wp_customize, 'header_ButtonTxtColor', 'header_settings', 'Button Text Color', '#fff');
addColorPalatOption($wp_customize, 'header_ButtonBorderColor', 'header_settings', 'Button Border Color', '#fff');
addColorPalatOption($wp_customize, 'header_ButtonShadowColor', 'header_settings', 'Button Shadow Color', '#84017c');

lzCustomLable($wp_customize, 'header_colorsfortabandmobview', $sectionHeader, 'Responsive Header Settings:');

addColorPalatOption($wp_customize, 'header_topheadbgclr', 'header_settings', 'Top Header BG Color', '#000A24');

addColorPalatOption($wp_customize, 'header_topsubmenuiconColor', 'header_settings', 'Dropdown Icon Color', '#ffffff');

addColorPalatOption($wp_customize, 'header_respnavtoggbarbgssColor', 'header_settings', 'Toggle Bar Color', '#fff');

addColorPalatOption($wp_customize, 'header_respnavbsbgssColor', 'header_settings', ' Navigation Box BG Color', '#241d31');

addColorPalatOption($wp_customize, 'header_navigationrespnavbrssColor', 'header_settings', 'Navigation Box Border Color', '#31bdf8');

//COLOR SETTINGS
$wp_customize->add_section( 'colors', array(
	'title' => __( 'Colors' , 'luzuk Premium'),
	'panel' => 'luzuk_general_panel',
) );
//theme primary color
addColorPalatOption($wp_customize, 'luzuk_template_color', 'colors', 'Theme Primary Color', '#741fb8');
//theme Secondary color
addColorPalatOption($wp_customize, 'theme_secondary_color', 'colors', 'Theme Secondary Color', '#fe03ee');

lzCustomLable($wp_customize, 'luzuk_allinnerpagesec_colordisplaysettdisplay', 'colors', 'Inner Page Color');

lzCustomLable($wp_customize, 'blogtemp_anim_circle', 'colors', 'Inner Pages Animated Circle Display & Its Colors:');

// to show & hide another button
$wp_customize->add_setting( 'blogtemp_anim_button_display' , array( 'default' => true, 'transport' => 'refresh', ) ); $wp_customize->add_control( 'blogtemp_anim_button_display', array( 'label' => 'Animated Circle Display', 'section' => 'colors', 'settings' => 'blogtemp_anim_button_display', 'type' => 'radio', 'choices' => array( 'show' => 'Show', 'hide' => 'Hide', ), ) ); 
// end to show & hide button

addColorPalatOption($wp_customize, 'blogtemp_anim_circle_circle1', 'colors', 'Animated Circle Color 1', '#38234e');
addColorPalatOption($wp_customize, 'blogtemp_anim_circle_circle2', 'colors', 'Animated Circle Color 2', '#4c2236');



addColorPalatOption($wp_customize, 'luzuk_template_innerpage_bgclr', 'colors', 'Inner Page Header BG Color', '#000A24');

$wp_customize->add_setting(
    'innheader_opacity', 
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '0', 'luzuk Premium' )
    )
);
$wp_customize->add_control(
    'innheader_opacity',
    array(
        'settings'      => 'innheader_opacity',
        'section'       => 'colors',
        'type'          => 'text',
        'label'         => __( 'Opacity', 'luzuk Premium' )
    )
);

addColorPalatOption($wp_customize, 'luzuk_template_innerpage_ovlyclr', 'colors', 'Inner Page Header Overlay Color', '#000A24');


addColorPalatOption($wp_customize, 'luzuk_template_innerpagemainsectionboxtext_color', 'colors', 'Inner Page Text Color', '#fff');

addColorPalatOption($wp_customize, 'template_innerpage_productpageboldtextcolor', 'colors', 'Inner Product Page Bold Text Color', '#A97DFF');

addColorPalatOption($wp_customize, 'template_innerpage_cartpageproducttitlecolor', 'colors', 'Inner  Cart Page Product Title Color', '#fff');

addColorPalatOption($wp_customize, 'luzuk_template_innerpageproductprice_color', 'colors', 'Inner Page Product Selling Price Color', '#868b9e');

addColorPalatOption($wp_customize, 'luzuk_template_innerpageproductpricedel_color', 'colors', 'Inner Page Product Price Color', '#7c8491');

addColorPalatOption($wp_customize, 'luzuk_template_innerpageallothrtheadtextcolcolor_color', 'colors', 'Other Text Color', '#390864');

addColorPalatOption($wp_customize, 'luzuk_template_innerpageallothrtheadtextbgsscolcolor_color', 'colors', 'Other Fields BG Color', '#fff');

addColorPalatOption($wp_customize, 'luzuk_template_innerpagemainsectionboxtextlinks_color', 'colors', 'Inner Page Links Color', '#3a0668');

addColorPalatOption($wp_customize, 'luzuk_template_innerpagemainsectionboxtextlinkshvrs_color', 'colors', 'Inner Page Links Hover Color', '#fe03ee');

addColorPalatOption($wp_customize, 'luzuk_template_innerpagemainsectionboxtextlinksicon_color1', 'colors', 'Inner Page Bullet & Order List Points Border Color', '#ff02ee');
addColorPalatOption($wp_customize, 'luzuk_template_innerpagemainsectionboxtextlinksicon_color2', 'colors', 'Inner Page Bullet & Order List Points BG Color', '#ffffff');

addColorPalatOption($wp_customize, 'luzuk_template_innerpagebulltnum_color1', 'colors', 'Inner Page Bullet & Order List Points Number Color', '#ffffff');
addColorPalatOption($wp_customize, 'luzuk_template_innerpagebulltnumbg_color1', 'colors', 'Inner Page Bullet List Number BG Color', '#fb05eb');

addColorPalatOption($wp_customize, 'luzuk_template_innerpagemainsectionboxtextlinksiconbgssclr_color', 'colors', 'Inner Page Order list Number BG Color', '#fb05eb');

addColorPalatOption($wp_customize, 'luzuk_template_innerpagemainsectionsidebarborderrs_color', 'colors', 'Inner Page Sidebar & Text Field & Product Image Border Color', '#fff');

addColorPalatOption($wp_customize, 'innerpage_blockquotebrdClr1', 'colors', 'Inner Page Blockquote Border Color', '#fb06ea');
addColorPalatOption($wp_customize, 'innerpage_blockquotebrdClr2', 'colors', 'Inner Page Blockquote Icon Color', '#fb06ea');
addColorPalatOption($wp_customize, 'innerpage_blockquotecircleClr1', 'colors', 'Inner Page Blockquote Circle BG Color 1', '#76056f');
addColorPalatOption($wp_customize, 'innerpage_blockquotecircleClr2', 'colors', 'Inner Page Blockquote Circle BG Color 2', '#c50bb7');
addColorPalatOption($wp_customize, 'innerpage_blockquotecircleClr3', 'colors', 'Inner Page Blockquote Circle BG Color 3', '#e316d5');
addColorPalatOption($wp_customize, 'innerpage_blockquotecircleClr4', 'colors', 'Inner Page Blockquote Circle BG Color 4', '#ff03ee');


lzCustomLable($wp_customize, 'luzuk_allinnerpagesec_pagination', 'colors', 'Pagination');

addColorPalatOption($wp_customize, 'luzuk_template_innerpagepagination_color', 'colors', 'Inner Page Pagination Color', '#000');

addColorPalatOption($wp_customize, 'luzuk_template_innerpagepaginationbg_color', 'colors', 'Inner Page Pagination BG Color', '#fff');

addColorPalatOption($wp_customize, 'luzuk_template_innerpagepaginationborder_color', 'colors', 'Inner Page Pagination Border Color', '#eaeaea');

addColorPalatOption($wp_customize, 'luzuk_template_innerpagepaginationactive_color', 'colors', 'Inner Page Pagination Hover & Active Color', '#fff');

addColorPalatOption($wp_customize, 'luzuk_template_innerpagepaginationbgactive_color', 'colors', 'Inner Page Pagination BG Hover & Active Color', '#666565');

addColorPalatOption($wp_customize, 'luzuk_template_innerpagepaginationborderactive_color', 'colors', 'Inner Page Pagination Border Hover & Active Color', '#666565');


lzCustomLable($wp_customize, 'luzuk_allinnerpagesec_sidebar', 'colors', 'Sidebar Color');

addColorPalatOption($wp_customize, 'template_innerpage_sibebrheadclr', 'colors', 'Sidebar Title Color', '#ffffff');
addColorPalatOption($wp_customize, 'template_innerpage_sibebrfrmbtnicnBGclr1', 'colors', 'Sidebar Title Icon Color 1', '#e0c6f6');
addColorPalatOption($wp_customize, 'template_innerpage_sibebrfrmbtnicnBGclr2', 'colors', 'Sidebar Title Icon Color 2', '#7232b1');
addColorPalatOption($wp_customize, 'template_innerpage_sibebrheadbgclr1', 'colors', 'Sidebar Title BG Color 1', '#9e34e5');
addColorPalatOption($wp_customize, 'template_innerpage_sibebrheadbgclr2', 'colors', 'Sidebar Title BG Color 2', '#480989');
addColorPalatOption($wp_customize, 'template_innerpage_sibebnavbgBGclr', 'colors', 'Sidebar Navigation Box BG Color', '#f7ecfd');
addColorPalatOption($wp_customize, 'template_innerpage_sibebrfrmclr', 'colors', 'Sidebar Border Color', '#8e2dd4');
addColorPalatOption($wp_customize, 'template_innerpage_sibebrfrmbtnicnclr', 'colors', 'Sidebar Form Button Text Color', '#ed0fde');
addColorPalatOption($wp_customize, 'template_innerpage_sibebrfrmbtnbgclr', 'colors', 'Sidebar Form Button Border Color', '#ffffff');
addColorPalatOption($wp_customize, 'template_innerpage_sibebrfrmbtnshadclr', 'colors', 'Sidebar Form Button Shadow Color', '#f974f4');
addColorPalatOption($wp_customize, 'template_innerpage_searchiconclr', 'colors', 'Sidebar Search Form Icon Color', '#ffffff');
addColorPalatOption($wp_customize, 'template_innerpage_sibebrsearchfrmbgclr1', 'colors', 'Sidebar Search Form Icon BG Color 1', '#9e34e5');
addColorPalatOption($wp_customize, 'template_innerpage_sibebrsearchfrmbgclr2', 'colors', 'Sidebar Search Form Icon BG Color 2', '#480989');
addColorPalatOption($wp_customize, 'luzuk_template_innerpagesidebardaytxt_color', 'colors', 'Inner Search Page Text Color', '#ffffff');
addColorPalatOption($wp_customize, 'luzuk_template_innerpagesidebardaybgsstxt_color', 'colors', 'Inner Page Sidebar Calender Widgets Day Text BG Color', '#777777');

addColorPalatOption($wp_customize, 'template_innerpage_sibebrnavmenmuclr', 'colors', 'Sidebar Menus Icon Color', '#3a0668');


lzCustomLable($wp_customize, 'luzuk_allinnerpagesec_colordisplaysettnavbackttoarrdisplay', 'colors', 'Navigation Back To Top Arrow');

addColorPalatOption($wp_customize, 'luzuk_backttoparrcbgclr', 'colors', 'Site Navigation Color', '#fff');

//BREADCRUMB SETTINGS
$wp_customize->add_section(
	'luzuk_breadcrumb_settings',
	array(
		'title' => __( 'Breadcrumb Settings', 'luzuk Premium' ),
		'panel' => 'luzuk_general_panel',
	)
);

//for breadcrumb to show & hide button

$wp_customize->add_setting( 'breadcrumb_button_display' , array( 'default' => true, 'transport' => 'refresh', ) ); 
$wp_customize->add_control( 'breadcrumb_button_display', array( 'label' => 'Breadcrumb Display', 'section' => 'luzuk_breadcrumb_settings', 'settings' => 'breadcrumb_button_display', 'type' => 'radio', 'choices' => array( 'show' => 'Show', 'hide' => 'Hide', ), ) ); 

 
$wp_customize->add_setting(
        'luzuk_breadcrumbhometxt',
        array(
            'sanitize_callback' => 'luzuk_sanitize_text',
            'default'           => __( 'Home', 'luzuk' )
        )
    );
    $wp_customize->add_control(
        'luzuk_breadcrumbhometxt',
        array(
            'settings'      => 'luzuk_breadcrumbhometxt',
            'section'       => 'luzuk_breadcrumb_settings',
            'type'          => 'text',
            'label'         => __( 'Add Breadcrumb Text Here', 'luzuk' )
        )
    );

addColorPalatOption($wp_customize, 'luzuk_breadcrumb_BrsColor', 'luzuk_breadcrumb_settings', 'Breadcrumb Border Color', '#ffffff');
addColorPalatOption($wp_customize, 'luzuk_breadcrumb_ShadowColor', 'luzuk_breadcrumb_settings', 'Breadcrumb Shadow Color', '#0ae5f5');

addColorPalatOption($wp_customize, 'luzuk_breadcrumb_TitleColor', 'luzuk_breadcrumb_settings', 'Breadcrumb Title Color', '#ffffff');
addColorPalatOption($wp_customize, 'luzuk_breadcrumb_TitleShadowColor', 'luzuk_breadcrumb_settings', 'Breadcrumb Title Shadow Color', '#da08cb');
addColorPalatOption($wp_customize, 'luzuk_breadcrumb_TitleAnimColor', 'luzuk_breadcrumb_settings', 'Breadcrumb Title Animation Color', ' #fe03ee');

addColorPalatOption($wp_customize, 'luzuk_breadcrumbcurrent_TitleColor', 'luzuk_breadcrumb_settings', 'Breadcrumb Box Current Title Color', '#ffffff');
addColorPalatOption($wp_customize, 'luzuk_breadcrumbcurrent_TitleshadColor', 'luzuk_breadcrumb_settings', 'Breadcrumb Box Current Title Shadow Color', '#c3c1c1');

// end to show & hide button

//POSTPAGEDATE SETTINGS
$wp_customize->add_section(
	'luzuk_blogpage_settings',
	array(
		'title' => __( 'Blog Page Settings', 'luzuk Premium' ),
		'panel' => 'luzuk_general_panel',
	)
);


 
lzCustomLable($wp_customize, 'allblog_lblbuttonabtdisplay', 'luzuk_blogpage_settings', 'Post Date & Comment Box Display Setting');

$wp_customize->add_setting( 'postdate_button_display' , array( 'default' => true, 'transport' => 'refresh', ) ); 
$wp_customize->add_control( 'postdate_button_display', array( 'label' => 'Date & Comment Box Display', 'section' => 'luzuk_blogpage_settings', 'settings' => 'postdate_button_display', 'type' => 'radio', 'choices' => array( 'show' => 'Show Date & Comment Box', 'hide' => 'Hide Date & Comment Box', ), ) ); 

lzCustomLable($wp_customize, 'allblog_imgsize', 'luzuk_blogpage_settings', 'Post Image Size Setting'); 
 
$wp_customize->add_setting(
    'allblog_imgheight',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '280px', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'allblog_imgheight',
    array(
        'settings'      => 'allblog_imgheight',
        'section'       => 'luzuk_blogpage_settings',
        'type'          => 'text',
        'label'         => __( 'Image Height', 'luzuk-premium' )
    )
);

lzCustomLable($wp_customize, 'allblog_heading2label', 'luzuk_blogpage_settings', 'Post Heading Font Size Setting');

$wp_customize->add_setting(
    'blogpages_innerpageheading2',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '20x', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'blogpages_innerpageheading2',
    array(
        'settings'      => 'blogpages_innerpageheading2',
        'section'       => 'luzuk_blogpage_settings',
        'type'          => 'text',
        'label'         => __( 'Post Heading Font Size', 'luzuk-premium' )
    )
);


$wp_customize->add_setting(
    'blgtxtlimit',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '100', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'blgtxtlimit',
    array(
        'settings'      => 'blgtxtlimit',
        'section'       => 'luzuk_blogpage_settings',
        'type'          => 'text',
        'label'         => __( 'Posts Content Limit', 'luzuk-premium' )
    )
);

lzCustomLable($wp_customize, 'allblog_clr', 'luzuk_blogpage_settings', 'Color Setting');

addColorPalatOption($wp_customize, 'innerblogarea_Title_color', 'luzuk_blogpage_settings', 'Posts Title Color', '#fff');
addColorPalatOption($wp_customize, 'innerblogarea_Titlehover_color', 'luzuk_blogpage_settings', 'Posts Title Hover Color', '#e813e1');
addColorPalatOption($wp_customize, 'innerblogarea_text_color', 'luzuk_blogpage_settings', 'Posts Content Color', '#9e9a99');
addColorPalatOption($wp_customize, 'innerblogarea_textbxbg_color', 'luzuk_blogpage_settings', 'Posts Content Box BG Color', '#000000');

addColorPalatOption($wp_customize, 'innerblogarea_commicon_color', 'luzuk_blogpage_settings', 'Comment Icon Color', '#ffffff');
addColorPalatOption($wp_customize, 'innerblogarea_datetextcommicon_color', 'luzuk_blogpage_settings', 'Comment & Date Text Color', '#ffffff');
addColorPalatOption($wp_customize, 'innerblogarea_boxbrss_color', 'luzuk_blogpage_settings', 'Date & Comment Box Border Color', '#ffffff');
addColorPalatOption($wp_customize, 'innerblogarea_datebxshad_color', 'luzuk_blogpage_settings', 'Date & Comment Box Shadow Color', '#86037d');
addColorPalatOption($wp_customize, 'innerblogarea_datecommicoshad_color', 'luzuk_blogpage_settings', 'Date, Comment Icon & Text Shadow Color', '#ff03ee');
addColorPalatOption($wp_customize, 'innerblogarea_mainimgoveraly_color', 'luzuk_blogpage_settings', 'Image Overlay Color', '#43cdd7');
addColorPalatOption($wp_customize, 'innerblogarea_overlayicon_color', 'luzuk_blogpage_settings', 'Posts Hover Icon Color', '#ffffff');
addColorPalatOption($wp_customize, 'innerblogarea_border_color', 'luzuk_blogpage_settings', 'Posts Box Border Color', '#43cdd7');
addColorPalatOption($wp_customize, 'innerblogarea_postcompleteshad_color', 'luzuk_blogpage_settings', 'Posts Box Shadow Color', '#43cdd7');

lzCustomLable($wp_customize, 'allblog_btndisplay', 'luzuk_blogpage_settings', 'Button Setting');

$wp_customize->add_setting(
    'blog_button2',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( 'Read More', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'blog_button2',
    array(
        'settings'      => 'blog_button2',
        'section'       => 'luzuk_blogpage_settings',
        'type'          => 'text',
        'label'         => __( 'Button Text', 'luzuk-premium' )
    )
);

addColorPalatOption($wp_customize, 'innerblogarea_ButtonTxtColor', 'luzuk_blogpage_settings', 'Button Text Color', '#fff');
addColorPalatOption($wp_customize, 'innerblogarea_ButtonBorderColor', 'luzuk_blogpage_settings', 'Button Border Color', '#fff');
addColorPalatOption($wp_customize, 'innerblogarea_ButtonShadowColor', 'luzuk_blogpage_settings', 'Button Shadow Color', '#84017c');

//FOOTER COPYRIGHT SETTINGS
$wp_customize->add_section(
	'footer_area',
	array(
		'title' => __( 'Footer Settings', 'luzuk Premium' ),
		'panel' => 'luzuk_general_panel',
	)
);

backgroundManager($wp_customize, 'footer', 'footer_area', $color='#000000', get_template_directory_uri().'/images/footer.png', 'color');

lzCustomLable($wp_customize, 'footer_opacity', 'footer_area', 'Footer Overlay');

$wp_customize->add_setting(
    'sec_footerseOpacity', 
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '0.83', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'sec_footerseOpacity',
    array(
        'settings'      => 'sec_footerseOpacity',
        'section'       => 'footer_area',
        'type'          => 'text',
        'label'         => __( 'Opacity', 'luzuk-premium' )
    )
);

addColorPalatOption($wp_customize, 'footerarea_overlay', 'footer_area', 'Footer Overlay Color', '#000000');

lzCustomLable($wp_customize, 'footer_areaPadding', 'footer_area', 'Footer Padding');

$wp_customize->add_setting(
    'sec_footerseTmargin', 
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '0em', 'luzuk-premium' )
    )
); 
$wp_customize->add_control(
    'sec_footerseTmargin',
    array(
        'settings'      => 'sec_footerseTmargin',
        'section'       => 'footer_area',
        'type'          => 'text',
        'label'         => __( 'Top', 'luzuk-premium' )
    )
);
$wp_customize->add_setting(
    'sec_footersebottommargin',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '2em', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'sec_footersebottommargin',
    array(
        'settings'      => 'sec_footersebottommargin',
        'section'       => 'footer_area',
        'type'          => 'text',
        'label'         => __( 'Bottom', 'luzuk-premium' )
    )
); 
lzCustomLable($wp_customize, 'footer_newslabeltext', 'footer_area', 'Newsletter Heading & It Colors:');
$wp_customize->add_setting(
    'newsletter_title',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( 'SUBSCRIBE TO OUR NEWSLETTER', 'luzuk' )
    )
);
$wp_customize->add_control(
    'newsletter_title',
    array(
        'settings'      => 'newsletter_title',
        'section'       => 'footer_area', 
        'type'          => 'text',
        'label'         => __( 'Heading', 'luzuk' )
    )
);
addColorPalatOption($wp_customize, 'newsletter_title_area_heading', 'footer_area', 'Heading Color', '#ffffff');
addColorPalatOption($wp_customize, 'newsletter_title_area_shadheading', 'footer_area', 'Heading Shadow Color', '#FF03EE');


// Adding the Label
lzCustomLable($wp_customize, 'newsformshort_heading', 'footer_area', 'Form shortcode');

//add shortcode textbox
lzAddElement($wp_customize, 'luzuk_newsletter_shortcode', 'footer_area', 'text', $label="Add Shortcode here", 'luzuk_sanitize_text', '[form shortcode here]');


// Footer  Color
lzCustomLable($wp_customize, 'footer_allcolor', 'footer_area', 'Footer Color');

addColorPalatOption($wp_customize, 'footerarea_title_color', 'footer_area', 'Title Color', '#fff');
addColorPalatOption($wp_customize, 'footerarea_title_shadsubheading', 'footer_area', 'Sub Heading Shadow Color', '#959191');



addColorPalatOption($wp_customize, 'footerarea_text_color', 'footer_area', 'Text Color', '#fff');

addColorPalatOption($wp_customize, 'footerarea_sicon_color', 'footer_area', 'Social Icon Color', '#fff');

addColorPalatOption($wp_customize, 'footerarea_siconbghv_clr', 'footer_area', 'Social Icon Hover Color', '#ffffff');

addColorPalatOption($wp_customize, 'footerarea_siconbrd_clr', 'footer_area', 'Social Icon Border Color', '#ffffff');

addColorPalatOption($wp_customize, 'footerarea_menu_color', 'footer_area', 'Menu Color', '#fff');

addColorPalatOption($wp_customize, 'footerarea_menuhover_color', 'footer_area', 'Menu Hover Color', '#3d037c');
 
addColorPalatOption($wp_customize, 'footerarea_activemenu_color', 'footer_area', 'Active Menu Color', '#ffffff');

addColorPalatOption($wp_customize, 'footerarea_menuico_color', 'footer_area', 'Menu Icon Color', '#ffffff');

addColorPalatOption($wp_customize, 'footerarea_datext_color', 'footer_area', 'Date Text Color', '#fff');

addColorPalatOption($wp_customize, 'FooterAreatabgColor', 'footer_area', 'Form Field Shadow Color', '#86037d');

addColorPalatOption($wp_customize, 'FooterAreata_brdClr', 'footer_area', 'Form Border Color', '#ffffff');
addColorPalatOption($wp_customize, 'footerarea_formtextlabel_color', 'footer_area', 'Label Color', '#fff');
addColorPalatOption($wp_customize, 'footerarea_formtext_color', 'footer_area', 'Form Text & Placeholder Text Color', '#ffffff');
addColorPalatOption($wp_customize, 'footerarea_newsletterboxbx_color', 'footer_area', 'Newsletter Box Border Color', '#ffffff');
addColorPalatOption($wp_customize, 'footerarea_newsletterboxbxshadow_color', 'footer_area', 'Newsletter Box Shadow Color', '#16777d');

addColorPalatOption($wp_customize, 'footerarea_formbuttontext_clr', 'footer_area', 'Form Button Text Color', '#ffffff');
addColorPalatOption($wp_customize, 'footerarea_formbtntxthv_clr', 'footer_area', 'Form Button Text Hover Color', '#ffffff');
addColorPalatOption($wp_customize, 'footerarea_formbuttonshadow_clr', 'footer_area', 'Button Shadow Color', '#84017c');
addColorPalatOption($wp_customize, 'footerarea_formbuttonbghv_clr', 'footer_area', ' Button Border Color', '#ffffff');
addColorPalatOption($wp_customize, 'footerarea_formbuttonhoveringshadow_clr', 'footer_area', 'Button Hover Shadow Color', '#26c3f8');



addColorPalatOption($wp_customize, 'footerarea_topmenushvbganimClr', 'footer_area', 'Hover Menu & Social Animation Color 1', '#fe03ee');
addColorPalatOption($wp_customize, 'footerarea_topmenusanimClr', 'footer_area', 'Hover Menu & Social Animation Color 2', '#26c3f8');

lzCustomLable($wp_customize, 'footer_areabottomfPadding', 'footer_area', 'Copyright Text Box Padding');

$wp_customize->add_setting(
    'sec_bottomareaTmargin', 
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '4em', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'sec_bottomareaTmargin',
    array(
        'settings'      => 'sec_bottomareaTmargin',
        'section'       => 'footer_area',
        'type'          => 'text',
        'label'         => __( 'Top', 'luzuk-premium' )
    )
);

$wp_customize->add_setting(
    'sec_bottomareabottommargin',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '2em', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'sec_bottomareabottommargin',
    array(
        'settings'      => 'sec_bottomareabottommargin',
        'section'       => 'footer_area',
        'type'          => 'text',
        'label'         => __( 'Bottom', 'luzuk-premium' )
    )
);

lzCustomLable($wp_customize, 'footer_copytext', 'footer_area', 'Footer Copyright Text');

$wp_customize->add_setting(
    'footer_area_copyrighttext',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( 'Copyright @ 2023 All Right Reserved', 'luzuk Premium' )
    )
);
$wp_customize->add_control(
    'footer_area_copyrighttext',
    array(
        'settings'      => 'footer_area_copyrighttext',
        'section'       => 'footer_area',
        'type'          => 'textarea',
        'label'         => __( 'Footer Copyright Text', 'luzuk Premium' )
    )
);

addColorPalatOption($wp_customize, 'footerarea_copyrightbrdclr', 'footer_area', 'Footer Border Color', '#fff');

addColorPalatOption($wp_customize, 'footerarea_copyrighttxtclr', 'footer_area', 'Copyright Text Color', '#fff');


//SHOP PAGE SIDEBAR SETTINGS
$wp_customize->add_section(
	'luzuk_shopsidebar_settings',
	array(
		'title' => __( 'Shop Page Sidebar Settings', 'luzuk Premium' ),
		'panel' => 'luzuk_general_panel',
	)
);


addColorPalatOption($wp_customize, 'shoppage_allbgsclr', 'luzuk_shopsidebar_settings', 'Product Pages BG Color', '#000000');


// to show & hide button
$wp_customize->add_setting( 'cd_button_display' , array( 'default' => true, 'transport' => 'refresh', ) ); 
$wp_customize->add_control( 'cd_button_display', array( 'label' => 'Shop Sidebar Display', 'section' => 'luzuk_shopsidebar_settings', 'settings' => 'cd_button_display', 'type' => 'radio', 'choices' => array( 'show' => 'Show', 'hide' => 'Hide', ), ) ); 
// end to show & hide button

$wp_customize->add_section(
	'luzuk_innerpageshortcode_page_settings',
	array(
		'title' => __( 'Color Setting For Shortcode Pages', 'luzuk-premium' ),
		'panel' => 'luzuk_general_panel',
	)
);

lzCustomLable($wp_customize, 'luzuk_servicepageclrdisplay', 'luzuk_innerpageshortcode_page_settings', 'Set Services Shortcode Page Colors'); 

lzCustomLable($wp_customize, 'luzuk_servicepagelable', 'luzuk_innerpageshortcode_page_settings', 'Note: Set Services Page Images Of Equal Height');

addColorPalatOption($wp_customize, 'servicepage_innerimgborderclr1', 'luzuk_innerpageshortcode_page_settings', 'Inner Border Color 1', '#5b08b8'); 
addColorPalatOption($wp_customize, 'servicepage_innerimgborderclr2', 'luzuk_innerpageshortcode_page_settings', 'Inner Border Color 2', '#ec26ff'); 
addColorPalatOption($wp_customize, 'servicepage_outerimgborderclr1', 'luzuk_innerpageshortcode_page_settings', 'Outer Border Color 1', '#3d027a'); 
addColorPalatOption($wp_customize, 'servicepage_outerimgborderclr2', 'luzuk_innerpageshortcode_page_settings', 'Outer Border Color 2', '#b13df8'); 
addColorPalatOption($wp_customize, 'servicepage_innerimglightborderclr1', 'luzuk_innerpageshortcode_page_settings', 'Image Border Lines Color', '#ffffff'); 
addColorPalatOption($wp_customize, 'servicepage_titlecolor', 'luzuk_innerpageshortcode_page_settings', 'Services Title Color', '#ffffff'); 
addColorPalatOption($wp_customize, 'servicepage_titlehovercolor', 'luzuk_innerpageshortcode_page_settings', 'Services Title Hover Color', '#e811d8'); 
addColorPalatOption($wp_customize, 'servicepage_innerttlbgclr1', 'luzuk_innerpageshortcode_page_settings', 'Services Title BG Color 1', '#9c33e2'); 
addColorPalatOption($wp_customize, 'servicepage_innerttlbgclr2', 'luzuk_innerpageshortcode_page_settings', 'Services Title BG Color 2', '#430580'); 
addColorPalatOption($wp_customize, 'servicepage_innercontentclr', 'luzuk_innerpageshortcode_page_settings', 'Services Content Color', '#ffffff'); 

addColorPalatOption($wp_customize, 'service_area_innerButtonTxtColor', 'luzuk_innerpageshortcode_page_settings', 'Button Text Color', '#fff');
addColorPalatOption($wp_customize, 'service_area_innerButtonBorderColor', 'luzuk_innerpageshortcode_page_settings', 'Button Border Color', '#fff');
addColorPalatOption($wp_customize, 'service_area_innerButtonShadowColor', 'luzuk_innerpageshortcode_page_settings', 'Button Shadow Color', '#84017c');

lzCustomLable($wp_customize, 'luzuk_bgsingletesticlrdisplay', 'luzuk_innerpageshortcode_page_settings', 'BG Color For Single Service Page:');

addColorPalatOption($wp_customize, 'servicepage_innersingleserpagebgclr', 'luzuk_innerpageshortcode_page_settings', 'Single Service Page BG Color', '#000000'); 


lzCustomLable($wp_customize, 'luzuk_testiclrdisplay', 'luzuk_innerpageshortcode_page_settings', 'Set Testimonials Shortcode Page Colors');
addColorPalatOption($wp_customize, 'inner_test_nametxt_clr', 'luzuk_innerpageshortcode_page_settings', 'Testimonial Name Text Color', '#ffffff');
addColorPalatOption($wp_customize, 'inner_test_designtxt_clr', 'luzuk_innerpageshortcode_page_settings', 'Testimonial Designation Text Color', '#ffffff');
addColorPalatOption($wp_customize, 'inner_test_boxc_clr1', 'luzuk_innerpageshortcode_page_settings', 'Testimonial Box Color 1', '#9e34e5');
addColorPalatOption($wp_customize, 'inner_test_boxc_clr2', 'luzuk_innerpageshortcode_page_settings', 'Testimonial Box Color 2', '#480989');
addColorPalatOption($wp_customize, 'inner_test_contenttxt_clr', 'luzuk_innerpageshortcode_page_settings', 'Testimonial Content Color', '#010100');
addColorPalatOption($wp_customize, 'inner_test_contentbgstxt_clr', 'luzuk_innerpageshortcode_page_settings', 'Testimonial Content Box BG Color', '#ffffff');
addColorPalatOption($wp_customize, 'inner_test_Brd_clr1', 'luzuk_innerpageshortcode_page_settings', 'Testimonial Image Border Color 1', '#942fdb');
addColorPalatOption($wp_customize, 'inner_test_Brd_clr2', 'luzuk_innerpageshortcode_page_settings', 'Testimonial Image Border Color 2', '#741fb9');
addColorPalatOption($wp_customize, 'inner_test_contenticoline_clr', 'luzuk_innerpageshortcode_page_settings', 'Testimonial Content Box Icon & Line Color', '#000000');


lzCustomLable($wp_customize, 'luzuk_clrsettingforvideopage', 'luzuk_innerpageshortcode_page_settings', 'Set Video Shortcode Page Colors');


addColorPalatOption($wp_customize, 'clrsettingforvideopage_clr', 'luzuk_innerpageshortcode_page_settings', 'Video Box Border Color', '#ffffff'); 
addColorPalatOption($wp_customize, 'clrsettingforvideopage_brdclr', 'luzuk_innerpageshortcode_page_settings', 'Video Box Shadow Color', '#1ac8fb'); 



lzCustomLable($wp_customize, 'luzuk_teaminnerpagepageclrdisplay', 'luzuk_innerpageshortcode_page_settings', 'Set Team Shortcode Page Colors');

lzCustomLable($wp_customize, 'luzuk_teampagelable', 'luzuk_innerpageshortcode_page_settings', 'Note: Set Team Member Images Of Equal Height');

addColorPalatOption($wp_customize, 'team_innerarea_imgbordercolor1', 'luzuk_innerpageshortcode_page_settings', 'Image Border Color 1', '#fc05ec');

addColorPalatOption($wp_customize, 'team_innerarea_imgbordercolor2', 'luzuk_innerpageshortcode_page_settings', 'Image Border Color 2', '#1ac8fb');

addColorPalatOption($wp_customize, 'team_innerarea_imgbordercolor3', 'luzuk_innerpageshortcode_page_settings', 'Image Border Color 3', '#321e7d');

addColorPalatOption($wp_customize, 'team_innerarea_imghoveroverlaycolor', 'luzuk_innerpageshortcode_page_settings', 'Team Image Hover Overlay Color', '#2e1c72');

addColorPalatOption($wp_customize, 'team_innerarea_imghoveranimcolor1', 'luzuk_innerpageshortcode_page_settings', 'Team Image Hover Animation Color 1', '#ffffff');

addColorPalatOption($wp_customize, 'team_innerarea_imghoveranimcolor2', 'luzuk_innerpageshortcode_page_settings', 'Team Image Hover Animation Color 2', '#ffffff');

addColorPalatOption($wp_customize, 'team_innerarea_imghoveranimcolor3', 'luzuk_innerpageshortcode_page_settings', 'Team Image Hover Animation Color 3', '#fc05ec');

addColorPalatOption($wp_customize, 'team_innerarea_teamnamecolor', 'luzuk_innerpageshortcode_page_settings', 'Team Name Text Color', '#ffffff');

addColorPalatOption($wp_customize, 'team_innerarea_teamdesigncolor', 'luzuk_innerpageshortcode_page_settings', 'Team Designation Text Color', '#ffffff');

addColorPalatOption($wp_customize, 'team_innerarea_teamnameshadowcolor', 'luzuk_innerpageshortcode_page_settings', 'Team Name Text Shadow Color', '#ff03ee');

addColorPalatOption($wp_customize, 'team_innerarea_detailboxbgcolor1', 'luzuk_innerpageshortcode_page_settings', 'Team Box BG Color 1', '#490a8c');

addColorPalatOption($wp_customize, 'team_innerarea_detailboxbgcolor2', 'luzuk_innerpageshortcode_page_settings', 'Team Box BG Color 2', '#9f34e6');

addColorPalatOption($wp_customize, 'team_innerarea_teamboxshadcolor', 'luzuk_innerpageshortcode_page_settings', 'Team Box Shadow Color', '#9f34e6');

addColorPalatOption($wp_customize, 'team_innerarea_teamboxshaddotscolor', 'luzuk_innerpageshortcode_page_settings', 'Team Box Dots Color', '#000000');

addColorPalatOption($wp_customize, 'team_innerarea_socialscolor', 'luzuk_innerpageshortcode_page_settings', 'Socials Color', '#03d4ff');

addColorPalatOption($wp_customize, 'team_innerarea_socialsbgcolor', 'luzuk_innerpageshortcode_page_settings', 'Socials BG Color', '#ffffff');

addColorPalatOption($wp_customize, 'team_innerarea_socialsbgshadcolor', 'luzuk_innerpageshortcode_page_settings', 'Socials BG Shadow Color', '#03d4ff');

addColorPalatOption($wp_customize, 'team_innerarea_socialsbgshadcolor', 'luzuk_innerpageshortcode_page_settings', 'Socials BG Shadow Color', '#03d4ff');

addColorPalatOption($wp_customize, 'team_innerarea_socialsbgshadhovercolor', 'luzuk_innerpageshortcode_page_settings', 'Socials Hover Shadow Color', '#03d4ff');


lzCustomLable($wp_customize, 'luzuk_galleryinnerpagepageclrdisplay', 'luzuk_innerpageshortcode_page_settings', 'Set Gallery Shortcode Page Colors');

lzCustomLable($wp_customize, 'luzuk_galleryinnerpagegallresclrdisplay', 'luzuk_innerpageshortcode_page_settings', 'Note: Kindly Use Gallery Image Of Same Resolution. Recomended Image Size Is 420x370px');

$wp_customize->add_setting(
    'gallinnpg_imgheight',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '362px', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'gallinnpg_imgheight',
    array(
        'settings'      => 'gallinnpg_imgheight',
        'section'       => 'luzuk_innerpageshortcode_page_settings',
        'type'          => 'text',
        'label'         => __( 'Image Height', 'luzuk-premium' )
    )
);

addColorPalatOption($wp_customize, 'luzuk_gallinnimgbrdClr', 'luzuk_innerpageshortcode_page_settings', 'Image Border Color', '#ff03ee');

//addColorPalatOption($wp_customize, 'luzuk_gallinnimghvtitlebgClr', 'luzuk_innerpageshortcode_page_settings', 'Image Hover Title BG Color', '#000A24');

addColorPalatOption($wp_customize, 'luzuk_gallinnimghvtitlebrdClr', 'luzuk_innerpageshortcode_page_settings', 'Image Hover Border Color', '#1ac8fb');

//addColorPalatOption($wp_customize, 'luzuk_gallinnimghvtitleClr', 'luzuk_innerpageshortcode_page_settings', 'Image Hover Title Color', '#fff');

addColorPalatOption($wp_customize, 'luzuk_gallinnicnClr', 'luzuk_innerpageshortcode_page_settings', 'Icon Color', '#fff');

addColorPalatOption($wp_customize, 'luzuk_gallinnicnbgClr', 'luzuk_innerpageshortcode_page_settings', 'Icon BG Color', '#ff03ee');

lzCustomLable($wp_customize, 'luzuk_faqinnerpagepageclrdisplay', 'luzuk_innerpageshortcode_page_settings', 'Set Faq Shortcode Page Colors'); 

addColorPalatOption($wp_customize, 'luzuk_faqinnerpagetitleColor', 'luzuk_innerpageshortcode_page_settings', 'Question Text Color', '#100724');
addColorPalatOption($wp_customize, 'luzuk_faqinnerpagetitleboxbgColor', 'luzuk_innerpageshortcode_page_settings', 'Question Box BG Color', '#ffffff');
addColorPalatOption($wp_customize, 'luzuk_faqinnerbedcClr', 'luzuk_innerpageshortcode_page_settings', 'Question Border Color', '#8327c8');

addColorPalatOption($wp_customize, 'luzuk_faqinnerpageiconColor', 'luzuk_innerpageshortcode_page_settings', 'Icon Color', '#ffffff');
addColorPalatOption($wp_customize, 'luzuk_faqinnerpagebgclr1', 'luzuk_innerpageshortcode_page_settings', 'Icon BG Color 1', '#550f96');
addColorPalatOption($wp_customize, 'luzuk_faqinnerpagebgclr2', 'luzuk_innerpageshortcode_page_settings', 'Icon BG Color 2', '#8327c8');

addColorPalatOption($wp_customize, 'luzuk_faqinnerpagetexbgClr', 'luzuk_innerpageshortcode_page_settings', 'Answer Text Color', '#100722');
addColorPalatOption($wp_customize, 'luzuk_faqinnerpagetextcColor', 'luzuk_innerpageshortcode_page_settings', 'Answer Box BG Color', '#ffffff');
addColorPalatOption($wp_customize, 'luzuk_faqinneransbxbrsColor', 'luzuk_innerpageshortcode_page_settings', 'Answer Box Border Color', '#7922bf');

$wp_customize->add_section(
	'luzuk_innerpagefont_settings',
	array(
		'title' => __( 'Inner Page Settings', 'luzuk-premium' ),
		'panel' => 'luzuk_general_panel',
	)
);


lzCustomLable($wp_customize, 'luzuk_innerpageh1_fontsizeset', 'luzuk_innerpagefont_settings', ' Heading 1');

$wp_customize->add_setting(
	'pages_innerpageheading1',
	array(
		'sanitize_callback' => 'luzuk_sanitize_text',
		'default'           => __( '46px', 'luzuk-premium' )
	)
);
$wp_customize->add_control(
	'pages_innerpageheading1',
	array(
		'settings'      => 'pages_innerpageheading1',
		'section'       => 'luzuk_innerpagefont_settings',
		'type'          => 'text',
		'label'         => __( 'Heading 1 Font Size', 'luzuk-premium' )
	)
);

$wp_customize->add_setting(
    'pages_innerpageheadingweight1',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '400', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'pages_innerpageheadingweight1',
    array(
        'settings'      => 'pages_innerpageheadingweight1',
        'section'       => 'luzuk_innerpagefont_settings',
        'type'          => 'text',
        'label'         => __( 'Heading 1 Font Weight', 'luzuk-premium' )
    )
);

addColorPalatOption($wp_customize, 'luzuk_template_innerpagemainsectionboxheading1_color', 'luzuk_innerpagefont_settings', 'Heading 1 Color', '#ffffff');

lzCustomLable($wp_customize, 'luzuk_innerpageh2_fontsizeset', 'luzuk_innerpagefont_settings', ' Heading 2');


$wp_customize->add_setting(
	'pages_innerpageheading2',
	array(
		'sanitize_callback' => 'luzuk_sanitize_text',
		'default'           => __( '33px', 'luzuk-premium' )
	)
);
$wp_customize->add_control(
	'pages_innerpageheading2',
	array(
		'settings'      => 'pages_innerpageheading2',
		'section'       => 'luzuk_innerpagefont_settings',
		'type'          => 'text',
		'label'         => __( 'Heading 2 Font Size', 'luzuk-premium' )
	)
);

$wp_customize->add_setting(
    'pages_innerpageheadingweight2',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '700', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'pages_innerpageheadingweight2',
    array(
        'settings'      => 'pages_innerpageheadingweight2',
        'section'       => 'luzuk_innerpagefont_settings',
        'type'          => 'text',
        'label'         => __( 'Heading 2 Font Weight', 'luzuk-premium' )
    )
);

addColorPalatOption($wp_customize, 'luzuk_template_innerpagemainsectionboxheading2_color', 'luzuk_innerpagefont_settings', 'Heading 2 Color', '#ffffff');

 
lzCustomLable($wp_customize, 'luzuk_innerpageh3_fontsizeset', 'luzuk_innerpagefont_settings', ' Heading 3');

$wp_customize->add_setting(
	'pages_innerpageheading3',
	array(
		'sanitize_callback' => 'luzuk_sanitize_text',
		'default'           => __( '28px', 'luzuk-premium' )
	)
);
$wp_customize->add_control(
	'pages_innerpageheading3',
	array(
		'settings'      => 'pages_innerpageheading3',
		'section'       => 'luzuk_innerpagefont_settings',
		'type'          => 'text',
		'label'         => __( 'Heading 3 Font Size', 'luzuk-premium' )
	)
);

$wp_customize->add_setting(
    'pages_innerpageheadingweight3',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '700', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'pages_innerpageheadingweight3',
    array(
        'settings'      => 'pages_innerpageheadingweight3',
        'section'       => 'luzuk_innerpagefont_settings',
        'type'          => 'text',
        'label'         => __( 'Heading 3 Font Weight', 'luzuk-premium' )
    )
);


addColorPalatOption($wp_customize, 'luzuk_template_innerpagemainsectionboxheading3_color', 'luzuk_innerpagefont_settings', 'Heading 3 Color', '#ffffff');


lzCustomLable($wp_customize, 'luzuk_innerpageh4_fontsizeset', 'luzuk_innerpagefont_settings', ' Heading 4');


$wp_customize->add_setting(
	'pages_innerpageheading4',
	array(
		'sanitize_callback' => 'luzuk_sanitize_text',
		'default'           => __( '26px', 'luzuk-premium' )
	)
);
$wp_customize->add_control(
	'pages_innerpageheading4',
	array(
		'settings'      => 'pages_innerpageheading4',
		'section'       => 'luzuk_innerpagefont_settings',
		'type'          => 'text',
		'label'         => __( 'Heading 4 Font Size', 'luzuk-premium' )
	)
);

$wp_customize->add_setting(
    'pages_innerpageheadingweight4',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '600', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'pages_innerpageheadingweight4',
    array(
        'settings'      => 'pages_innerpageheadingweight4',
        'section'       => 'luzuk_innerpagefont_settings',
        'type'          => 'text',
        'label'         => __( 'Heading 4 Font Weight', 'luzuk-premium' )
    )
);

addColorPalatOption($wp_customize, 'luzuk_template_innerpagemainsectionboxheading4_color', 'luzuk_innerpagefont_settings', 'Heading 4 Color', '#ffffff');

lzCustomLable($wp_customize, 'luzuk_innerpageh5_fontsizeset', 'luzuk_innerpagefont_settings', ' Heading 5');

$wp_customize->add_setting(
	'pages_innerpageheading5',
	array(
		'sanitize_callback' => 'luzuk_sanitize_text',
		'default'           => __( '24px', 'luzuk-premium' )
	)
);
$wp_customize->add_control(
	'pages_innerpageheading5',
	array(
		'settings'      => 'pages_innerpageheading5',
		'section'       => 'luzuk_innerpagefont_settings',
		'type'          => 'text',
		'label'         => __( 'Heading 5 Font Size', 'luzuk-premium' )
	)
);

$wp_customize->add_setting(
    'pages_innerpageheadingweight5',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '600', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'pages_innerpageheadingweight5',
    array(
        'settings'      => 'pages_innerpageheadingweight5',
        'section'       => 'luzuk_innerpagefont_settings',
        'type'          => 'text',
        'label'         => __( 'Heading 5 Font Weight', 'luzuk-premium' )
    )
);

addColorPalatOption($wp_customize, 'luzuk_template_innerpagemainsectionboxheading5_color', 'luzuk_innerpagefont_settings', 'Heading 5 Color', '#ffffff');

lzCustomLable($wp_customize, 'luzuk_innerpageh6_fontsizeset', 'luzuk_innerpagefont_settings', ' Heading 6');


$wp_customize->add_setting(
	'pages_innerpageheading6',
	array(
		'sanitize_callback' => 'luzuk_sanitize_text',
		'default'           => __( '21px', 'luzuk-premium' )
	)
);
$wp_customize->add_control(
	'pages_innerpageheading6',
	array(
		'settings'      => 'pages_innerpageheading6',
		'section'       => 'luzuk_innerpagefont_settings',
		'type'          => 'text',
		'label'         => __( 'Heading 6 Font Size', 'luzuk-premium' )
	)
);

$wp_customize->add_setting(
    'pages_innerpageheadingweight6',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '600', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'pages_innerpageheadingweight6',
    array(
        'settings'      => 'pages_innerpageheadingweight6',
        'section'       => 'luzuk_innerpagefont_settings',
        'type'          => 'text',
        'label'         => __( 'Heading 6 Font Weight', 'luzuk-premium' )
    )
);

addColorPalatOption($wp_customize, 'luzuk_template_innerpagemainsectionboxheading6_color', 'luzuk_innerpagefont_settings', 'Heading 6 Color', '#ffffff');

lzCustomLable($wp_customize, 'luzuk_innerpageextrahheading', 'luzuk_innerpagefont_settings', ' Heading Extra Color');
lzCustomLable($wp_customize, 'luzuk_servicepagelable', 'luzuk_innerpagefont_settings', 'Note: Bold = Use <strong></strong> Tag & Heihlight = Use <span></span> Tag');

addColorPalatOption($wp_customize, 'luzuk_template_innerpagemainsectionboxheadingbold_clr', 'luzuk_innerpagefont_settings', 'Heading / Text Bold Color', '#ffffff');

addColorPalatOption($wp_customize, 'luzuk_template_innerpagemainsectionboxheadinghigh_clr', 'luzuk_innerpagefont_settings', 'Heading / Text Highlight Color', '#fe03ee');

lzCustomLable($wp_customize, 'luzuk_innerpagebulletpoint', 'luzuk_innerpagefont_settings', ' Font Awesome Icon Setting');


$wp_customize->add_setting(
    'bulletpointicon',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '\f10c', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'bulletpointicon',
    array(
        'settings'      => 'bulletpointicon',
        'section'       => 'luzuk_innerpagefont_settings',
        'type'          => 'text',
        'label'         => __( 'Add Font Awesome Icon 4.7', 'luzuk-premium' )
    )
);