<?php 
    $wp_customize->add_section(
        'about_area',
        array(
            'title' => __( 'About Us Section', 'luzuk-premium' ),
            'panel' => 'luzuk_premium_home_panel'
        )
    );
    $wp_customize->add_setting(
        'about_area_disable',
        array(
            'sanitize_callback' => 'luzuk_sanitize_text',
        )
    );
    $wp_customize->add_control(
        new luzuk_Switch_Control(
            $wp_customize,
            'about_area_disable',
            array(
                'settings'      => 'about_area_disable',
                'section'       => 'about_area',
                'label'         => __( 'Disable Section', 'luzuk-premium' ),
                'on_off_label'  => array(
                    'on' => __( 'Yes', 'luzuk-premium' ),
                    'off' => __( 'No', 'luzuk-premium' )
                ),
            )
        )
    ); 

backgroundManager($wp_customize, 'aboutus', 'about_area', $color='#000000', get_template_directory_uri().'/images/banner-bg.png', 'color');
 
lzCustomLable($wp_customize, 'aboutarea_padding', 'about_area', 'Section Padding');

$wp_customize->add_setting(
    'about_areaTpadding',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '6em', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'about_areaTpadding',
    array(
        'settings'      => 'about_areaTpadding',
        'section'       => 'about_area',
        'type'          => 'text',
        'label'         => __( 'Top', 'luzuk-premium' )
    )
);
$wp_customize->add_setting(
    'about_areaBpadding',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '5em', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'about_areaBpadding',
    array(
        'settings'      => 'about_areaBpadding',
        'section'       => 'about_area',
        'type'          => 'text',
        'label'         => __( 'Bottom', 'luzuk-premium' )
    )
);

lzCustomLable($wp_customize, 'Sec_lefthead', 'about_area' , 'Left Side Title');

$wp_customize->add_setting(
    'about_leftheading',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( 'BIOGRAPHY', 'luzuk' )
    )
);
$wp_customize->add_control(
    'about_leftheading',
    array(
        'settings'      => 'about_leftheading',
        'section'       => 'about_area', 
        'type'          => 'text',
        'label'         => __( 'Title', 'luzuk' )
    )
);

addColorPalatOption($wp_customize, 'about_leftheading_color', 'about_area', 'Heading Color', '#000000');
addColorPalatOption($wp_customize, 'about_leftheadingfill_color', 'about_area', 'Heading Border Color', '#ffffff');

lzCustomLable($wp_customize, 'aboutsec_img', 'about_area' , 'Left Image');

$wp_customize->add_setting(
    'about_image',
    array(
        'sanitize_callback' => 'esc_url_raw'
    )
);

$wp_customize->add_control(
    new WP_Customize_Image_Control(
        $wp_customize,
        'about_image',
        array(
            'section' => 'about_area',
            'settings' => 'about_image',
            'description' => __('Recommended Image Size: 530X625px', 'luzuk-premium')
        )
    )
);


$wp_customize->add_setting(
    'about_title_heading',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text'
    )
);
$wp_customize->add_control(
    new luzuk_Customize_Heading(
        $wp_customize,
        'about_title_heading',
        array(
            'settings'      => 'about_title_heading',
            'section'       => 'about_area',
            'label'         => __( ' Section Heading & Sub Heading', 'luzuk-premium' ),
        )
    )
);    

$wp_customize->add_setting(
    'about_title',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( 'About Us', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'about_title',
    array(
        'settings'      => 'about_title',
        'section'       => 'about_area',
        'type'          => 'text',
        'label'         => __( 'Section Heading', 'luzuk-premium' )
    )
);
addColorPalatOption($wp_customize, 'about_title_heading_color', 'about_area', 'Heading Color', '#ffffff');
addColorPalatOption($wp_customize, 'about_title_shadheading_color', 'about_area', 'Heading Shadow Color', '#26c3f8');

$wp_customize->add_setting(
    'aboutsubtitle',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( 'KNOW MORE ABOUT US', 'luzuk' )
    )
);
$wp_customize->add_control(
    'aboutsubtitle',
    array(
        'settings'      => 'aboutsubtitle',
        'section'       => 'about_area', 
        'type'          => 'text',
        'label'         => __( 'Section Sub Heading', 'luzuk' )
    )
);
addColorPalatOption($wp_customize, 'about_title_heading_color1', 'about_area', 'Sub Heading Color 1', '#ffffff');
addColorPalatOption($wp_customize, 'about_title_heading_color2', 'about_area', 'Sub Heading Color 2', '#1ac8fb');

$wp_customize->add_setting(
    'about_text',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( 'Fusce nec dui quis ante dignissim blandit. Aenean iaculis ullamcorper imperdiet. Nunc metus nunc, blandit quis rhoncus at, maximus ut elit. Pellentesque lacinia leo quis nulla euismod, congue aliquam nisi semper. Etiam non ornare lacus. Cras pharetra leo id justo tristique condimentum. nibh at iaculis finibus, odio mauris eleifend nisl, eget sagittis tortor nisi a quam.', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'about_text',
    array(
        'settings'      => 'about_text',
        'section'       => 'about_area',
        'type'          => 'textarea',
        'label'         => __( 'Section Content', 'luzuk-premium' )
    )
);

addColorPalatOption($wp_customize, 'about_area_text_color', 'about_area', 'Section Content Color', '#ffffff');


lzCustomLable($wp_customize, 'abtbtn', 'about_area' , 'Section Button');

$wp_customize->add_setting(
    'abtbtntxt',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( 'Read More' )
    )
);
$wp_customize->add_control(
    'abtbtntxt',
    array(
        'settings'      => 'abtbtntxt',
        'section'       => 'about_area',
        'type'          => 'text',
        'label'         => __( 'Button Text', 'luzuk-premium' )
    )
);
$wp_customize->add_setting('abtbtnlink',   array('default'=> 'add link here', 'sanitize_callback' => 'esc_url_raw'));
$wp_customize->add_control('abtbtnlink',
    array(
        'settings'      => 'abtbtnlink',
        'section'       => 'about_area',
        'type'          => 'url',
        'label'         => __( 'Add Button Link', 'luzuk-premium' )
    )
);
addColorPalatOption($wp_customize, 'about_area_ButtonTxtColor', 'about_area', 'Button Text Color', '#fff');
addColorPalatOption($wp_customize, 'about_area_ButtonBorderColor', 'about_area', 'Button Border Color', '#fff');
addColorPalatOption($wp_customize, 'about_area_ButtonShadowColor', 'about_area', 'Button Shadow Color', '#84017c');