<?php  
$wp_customize->add_section(
    'service_area',
    array(
        'title'         => __( 'Services Section', 'luzuk' ),
        'panel'   => 'luzuk_premium_home_panel',
    )
);
$wp_customize->add_setting(
    'service_area_disable',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default' => 'off'
    )
);
$wp_customize->add_control(
    new luzuk_Switch_Control(
        $wp_customize,
        'service_area_disable',
        array(
            'settings'      => 'service_area_disable',
            'section'       => 'service_area',
            'label'         => __( 'Disable Section', 'luzuk' ),
            'on_off_label'  => array(
                'on' => __( 'Yes', 'luzuk' ),
                'off' => __( 'No', 'luzuk' )
            )   
        )
    )
);

backgroundManager($wp_customize, 'service', 'service_area', $color='#0e0e0e', get_template_directory_uri().'/images/default.png', 'img');

lzCustomLable($wp_customize, 'luzuk_sec_servicessectionpadding', 'service_area', 'Section Padding');

$wp_customize->add_setting(
    'service_areaTpadding',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '8em', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'service_areaTpadding',
    array(
        'settings'      => 'service_areaTpadding',
        'section'       => 'service_area',
        'type'          => 'text',
        'label'         => __( 'Top', 'luzuk-premium' )
    )
);
$wp_customize->add_setting(
    'service_areaBpadding',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '10em', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'service_areaBpadding',
    array(
        'settings'      => 'service_areaBpadding',
        'section'       => 'service_area',
        'type'          => 'text',
        'label'         => __( 'Bottom', 'luzuk-premium' )
    )
);
lzCustomLable($wp_customize, 'service_area_anim_circle', 'service_area', 'Animated Circle Display & Its Colors:');

// to show & hide another button
$wp_customize->add_setting( 'services_anim_button_display' , array( 'default' => true, 'transport' => 'refresh', ) ); $wp_customize->add_control( 'services_anim_button_display', array( 'label' => 'Animated Circle Display', 'section' => 'service_area', 'settings' => 'services_anim_button_display', 'type' => 'radio', 'choices' => array( 'show' => 'Show', 'hide' => 'Hide', ), ) ); 
// end to show & hide button

addColorPalatOption($wp_customize, 'service_anim_circle1', 'service_area', 'Animated Circle Color 1', '#38234e');
addColorPalatOption($wp_customize, 'service_anim_circle2', 'service_area', 'Animated Circle Color 2', '#4c2236');


$wp_customize->add_setting(
    'services_maintitle_subtitle_heading',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
    )
);
$wp_customize->add_control(
    new luzuk_Customize_Heading(
        $wp_customize,
        'services_maintitle_subtitle_heading',
        array(
            'settings'      => 'services_maintitle_subtitle_heading',
            'section'       => 'service_area',
            'label'         => __( 'Section Heading And Sub Heading', 'luzuk' ),
        )
    )
);
$wp_customize->add_setting(
    'services_maintext',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( 'OUR SERVICES', 'luzuk' )
    )
);
$wp_customize->add_control(
    'services_maintext',
    array(
        'settings'      => 'services_maintext',
        'section'       => 'service_area', 
        'type'          => 'text',
        'label'         => __( 'Section Heading', 'luzuk' )
    )
);

$wp_customize->add_setting(
    'services_maintitle',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( 'WHERE DO WE PLAY', 'luzuk' )
    )
);
$wp_customize->add_control(
    'services_maintitle',
    array(
        'settings'      => 'services_maintitle',
        'section'       => 'service_area', 
        'type'          => 'text',
        'label'         => __( 'Section Sub Heading', 'luzuk' )
    )
);

addColorPalatOption($wp_customize, 'service_area_heading', 'service_area', 'Heading Color', '#ffffff');
addColorPalatOption($wp_customize, 'service_area_shadheading', 'service_area', 'Heading Shadow Color', '#FF03EE');
addColorPalatOption($wp_customize, 'service_area_subheading', 'service_area', 'Sub Heading Color', '#ffffff');
addColorPalatOption($wp_customize, 'service_area_shadsubheading', 'service_area', 'Sub Heading Shadow Color', '#959191');
addColorPalatOption($wp_customize, 'service_area_subbgheadingbrs', 'service_area', 'Box Border Color 1', '#fe03ee');
addColorPalatOption($wp_customize, 'service_area_subbgheading', 'service_area', 'Box Border Color 2', '#86037d');

$wp_customize->add_setting('service_area_lbl2', array('sanitize_callback'=>'luzuk_sanitize_text'));
$wp_customize->add_control(
    new luzuk_Info_Text( 
        $wp_customize,
        'service_area_lbl2',
        array(
            'settings'      => 'service_area_lbl2',
            'section'       => 'service_area',
            'label'         => __( 'Note:', 'luzuk' ),  
            'description'   => __( 'Use Shortcode [SERVICES] to show all services in a page', 'luzuk' ),
        )
    )
);

$wp_customize->add_setting('service_npp_heading',array('sanitize_callback' => 'luzuk_sanitize_text'));
$wp_customize->add_control(
    new luzuk_Customize_Heading(
        $wp_customize,
        'service_npp_heading',
        array(
            'settings'      => 'service_npp_heading',
            'section'       => 'service_area',
            'label'         => __( 'Number Of Services To Show', 'luzuk' ),
        )
    )
);    
$wp_customize->add_setting('service_npp_count',array('sanitize_callback' => 'luzuk_sanitize_text','default' => 2));
$wp_customize->add_control(
    'service_npp_count',
    array(
        'settings'      => 'service_npp_count',
        'section'       => 'service_area',
        'type'          => 'select',
        'label'         => __( 'Number Of Services To Show', 'luzuk' ),
        'choices'=>array(1,2,3,4,5,6,7,8,9,10,11,12)
    )
);

$ServicesSingleChoice[] = 'Select';

for( $i = 1; $i <= 12; $i++ ){
    $wp_customize->add_setting(
        'services_heading'.$i,
        array(
            'sanitize_callback' => 'luzuk_sanitize_text'
        )
    );
    $wp_customize->add_control(
        new luzuk_Customize_Heading(
            $wp_customize,
            'services_heading'.$i,
            array(
                'settings'      => 'services_heading'.$i,
                'section'       => 'service_area',
                'label'         => __( 'Service - ', 'luzuk' ).$i,
            )
        )
    );
    if(is_array($ServicesSingleChoice)){
        $wp_customize->add_setting(
            'services_page'.$i,
            array(
                'sanitize_callback' => 'absint'
            )
        );
        $wp_customize->add_control(
            'services_page'.$i,
            array(
                'settings'      => 'services_page'.$i,
                'section'       => 'service_area',
                'type'=> 'select',
                'label'         => __( 'Select A Service Box', 'luzuk' ),
                'choices' => $ServicesSingleChoice,
            )
        );

    }else{
        $wp_customize->add_setting('service_area_lbl'.$i, array('sanitize_callback'=>'luzuk_sanitize_text'));
        $wp_customize->add_control(
            new luzuk_Info_Text( 
                $wp_customize,
                'service_area_lbl'.$i,
                array(
                    'settings'      => 'service_area_lbl'.$i,
                    'section'       => 'service_area',
                    'label'         => __( 'Note:', 'luzuk' ),    
                    'description'   => __( '<strong>Changes will not reflect unless you select the Service Page.</strong> <br/>Please add the Services from "Services menu" and then select Services to show information.', 'luzuk' ),
                )
            )
        );
    }
}

 
lzCustomLable($wp_customize, 'service_button_display_sett', 'service_area', 'Button Display Setting:');

for( $i = 1; $i <= 1; $i++ ){
// to show & hide another button
$wp_customize->add_setting( 'service_button_display' , array( 'default' => true, 'transport' => 'refresh', ) ); $wp_customize->add_control( 'service_button_display', array( 'label' => 'Button Display', 'section' => 'service_area', 'settings' => 'service_button_display', 'type' => 'radio', 'choices' => array( 'show' => 'Show Button', 'hide' => 'Hide Button', ), ) ); 

$wp_customize->add_setting(
    'id_ser_button',
    array(
        'sanitize_callback' => 'ClassicTemplate_sanitize_text',
        'default'           => __( 'Read More' )
    )
);
$wp_customize->add_control(
    'id_ser_button',
    array(
        'settings'      => 'id_ser_button',
        'section'       => 'service_area',
        'type'          => 'text',
        'label'         => __( 'Add Button Text Here:', 'Classic Template' )
    )
);
}

lzCustomLable($wp_customize, 'luzuk_sec_servicesclr', 'service_area', 'Service Color Settings');

addColorPalatOption($wp_customize, 'service_area_imgbordercolor1', 'service_area', 'Image Border Color 1', '#fc05ec');
addColorPalatOption($wp_customize, 'service_area_imgbordercolor2', 'service_area', 'Image Border Color 2', '#1ac8fb');
addColorPalatOption($wp_customize, 'service_area_imgbordercolor3', 'service_area', 'Image Border Color 3', '#321e7d');
addColorPalatOption($wp_customize, 'service_area_imghoveroverlaycolor', 'service_area', 'Services Image Hover Overlay Color', '#2e1c72');
addColorPalatOption($wp_customize, 'service_area_imghoveranimcolor1', 'service_area', 'Services Image Hover Animation Color 1', '#ffffff');
addColorPalatOption($wp_customize, 'service_area_imghoveranimcolor2', 'service_area', 'Services Image Hover Animation Color 2', '#ffffff');
addColorPalatOption($wp_customize, 'service_area_imghoveranimcolor3', 'service_area', 'Services Image Hover Animation Color 3', '#fc05ec');
addColorPalatOption($wp_customize, 'service_area_mainboxtitlecolor', 'service_area', 'Services Title Color', '#ffffff');
addColorPalatOption($wp_customize, 'service_area_mainboxtitlehovercolor', 'service_area', 'Services Title Hover Color', '#1ac8fb');
addColorPalatOption($wp_customize, 'service_area_mainboxcontentcolor', 'service_area', 'Services Content Color', '#ffffff');
addColorPalatOption($wp_customize, 'service_area_titlehoveranimcolor1', 'service_area', 'Services Hover Animation Color1', '#fe03ee');
addColorPalatOption($wp_customize, 'service_area_titlehoveranimcolor2', 'service_area', 'Services Hover Animation Color2', '#26c3f7');
addColorPalatOption($wp_customize, 'service_area_ButtonTxtColor', 'service_area', 'Button Text Color', '#fff');
addColorPalatOption($wp_customize, 'service_area_ButtonBorderColor', 'service_area', 'Button Border Color', '#fff');
addColorPalatOption($wp_customize, 'service_area_ButtonShadowColor', 'service_area', 'Button Shadow Color', '#84017c');